Skip to main content

GetSupportedAPIs

Retrieves the list of all API endpoints supported by the device.

Endpoint

FieldValue
MethodPOST or GET
URLhttp://<host>[:port]/GetSupportedAPIs
ProductsIPC, NVR
Channel IDN/A
v2.0 Only

This command does not exist on v1.9 firmware.

Response

<?xml version="1.0" encoding="UTF-8"?>
<config version="2.0.0" xmlns="http://www.ipc.com/ver10">
<applicationInterfaces type="list" count="99">
<itemType type="string" maxLen="63"/>
<item><![CDATA[GetSupportedAPIs]]></item>
<item><![CDATA[GetAlarmInInfo]]></item>
<item><![CDATA[GetAlarmOutList]]></item>
<item><![CDATA[GetAlarmStatus]]></item>
<item><![CDATA[GetChannelInfo]]></item>
<item><![CDATA[GetDeviceDetail]]></item>
<item><![CDATA[GetDeviceInfo]]></item>
<item><![CDATA[GetDiskInfo]]></item>
<!-- ... additional APIs ... -->
</applicationInterfaces>
</config>

Response Fields

FieldTypeDescription
applicationInterfaceslistList of supported API endpoint names
countattributeTotal number of supported endpoints
itemstringIndividual API endpoint name

Notes

  • Use the API names in each <item> to look up commands in this documentation.
  • The count attribute indicates the total number of supported endpoints on the device.
  • This is the recommended way to discover device capabilities at runtime on v2.0 firmware.